### Method

# Gtk.CellRenderer.get_preferred_width_for_height

#### Declaration [src]

    void
    gtk_cell_renderer_get_preferred_width_for_height (
      GtkCellRenderer* cell,
      GtkWidget* widget,
      int height,
      int* minimum_width,
      int* natural_width
    )

#### Description [src]

Retrieves a cell renderers’s minimum and natural width if it were rendered to `widget` with the specified `height`.

#### Parameters

`widget` | `GtkWidget`
| the `GtkWidget` this cell will be rendering to
| Ownership is not transferred to the callee
`height` | `int`
| the size which is available for allocation
`minimum_width` | `int*`
| location for storing the minimum size, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
`natural_width` | `int*`
| location for storing the preferred size, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee